<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.testor.module.aptitude.dao.TPersonAptitudeDao">
    <!-- 开启二级缓存 -->
    <!-- <cache type="org.mybatis.caches.ehcache.LoggingEhcache"/> -->
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.testor.module.aptitude.model.domain.TPersonAptitude">
        <id column="id" property="id"/>
        <id column="person_name" property="personName"/>
        <id column="person_id" property="personId"/>
        <id column="dept_id" property="deptId"/>
        <id column="aptitude_name" property="aptitudeName"/>
        <id column="aptitude_status" property="aptitudeStatus"/>
        <id column="register_data" property="registerData"/>
        <id column="aptitude_valid" property="aptitudeValid"/>
        <id column="is_long_time_valid" property="isLongTimeValid"/>
        <id column="org_name" property="orgName"/>
        <id column="process_status" property="processStatus"/>
        <id column="ref_id" property="refId"/>
        <id column="process_id" property="processId"/>
        <id column="parent_id" property="parentId"/>
        <id column="org_id" property="orgId"/>
    </resultMap>
</mapper>